[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Can't compile Cisco vpn client on latest FC4 kernel



André Fettouhi wrote:
I'm trying to compile the Cisco vpn client v. 4.8.00.0490-k9 on my FC4 box with the latest kernel (2.6.16-1.2069_FC4). When I try to install/compile I get this error message

[root andre-notebook vpnclient]# ./vpn_install
Cisco Systems VPN Client Version 4.8.00 (0490) Linux Installer
Copyright (C) 1998-2005 Cisco Systems, Inc. All Rights Reserved.

By installing this product you agree that you have read the
license.txt file (The VPN Client license) and will comply with
its terms.


Directory where binaries will be installed [/usr/local/bin]

Automatically start the VPN service at boot time [yes]

In order to build the VPN kernel module, you must have the
kernel headers for the version of the kernel you are running.


Directory containing linux kernel source code [/lib/modules/2.6.16-1.2069_FC4/build]

* Binaries will be installed in "/usr/local/bin".
* Modules will be installed in "/lib/modules/2.6.16-1.2069_FC4/CiscoVPN".
* The VPN service will be started AUTOMATICALLY at boot time.
* Kernel source from "/lib/modules/2.6.16-1.2069_FC4/build" will be used to build the module.

Is the above correct [y]y

Making module
make -C /lib/modules/2.6.16-1.2069_FC4/build SUBDIRS=/home/gd1331/vpnclient modules
make[1]: Entering directory `/usr/src/kernels/2.6.16-1.2069_FC4-i686'
 Building modules, stage 2.
 MODPOST
make[1]: Leaving directory `/usr/src/kernels/2.6.16-1.2069_FC4-i686'
Failed to make module "cisco_ipsec.ko".

But I can compile/install the Cisco vpn client (same as above) on the latest kernel FC5 kernel (2.6.16-1.2080_FC5)? Where are the differences between the two kernels?

Kind Regards

André Fettouhi

Neither could I. I use vpnc and it works fine, for Xauth and IPSec.
-Dan


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]